Name:           python-mock
Version:        5.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Rolling backport of unittest.mock for all Pythons

# No license information obtained, it's up to the packager to fill it in
License:        BSD
URL:            https://github.com/testing-cabal/mock
Source:         %{pypi_source mock}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
mock is a library for testing in Python. It allows you to replace parts of
your system under test with mock objects and make assertions about how they
have been used.}

%description %_description

%package -n     python3-mock
Summary:        %{summary}

%description -n python3-mock %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-mock build,docs,test


%prep
%autosetup -p1 -n mock-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x build,docs,test


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l mock


%check
%pytest mock/tests/*
# %%pyproject_check_import


%files -n python3-mock -f %{pyproject_files}


%changelog
%autochangelog
